﻿using System.Diagnostics;
using Microsoft.Practices.Composite.Logging;

namespace DebugLogger
{
  public class DebugLogger : ILoggerFacade
  {
    public void Log(string message, Category category, Priority priority)
    {
      Debug.WriteLine("Logging: Category: {0} - Priority: {1}: {2}", category, priority, message);
    }
  }
}
