﻿using Microsoft.Practices.Composite.Logging;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;

namespace DebugLogger
{
  public class DebugLoggerModule : IModule
  {
    IUnityContainer theContainer;
    public DebugLoggerModule(IUnityContainer container)
    {
      theContainer = container;
    }

    public void Initialize()
    {
      // Load the same instance for all users
      theContainer.RegisterType<ILoggerFacade, DebugLogger>(new ContainerControlledLifetimeManager());
    }
  }
}
