﻿using System;
using System.Collections.Generic;
using GameEditor.Common;

namespace GameEditor.Client.Data.EventArgs
{
  public class LoadEntityCompleteEventArgs<T> : ErrorEventArgs
  {
    public LoadEntityCompleteEventArgs(IEnumerable<T> results)
    {
      Results = results;
    }

    public LoadEntityCompleteEventArgs(Exception ex)
      : base(ex)
    {
    }

    public IEnumerable<T> Results { get; private set; }
  }
}
