﻿using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;

namespace GameEditor.Client.Data
{
  public class GameEditorDataModule : IModule
  {
    IUnityContainer container = null;

    public GameEditorDataModule(IUnityContainer container)
    {
      this.container = container;
    }

    // IModule.Initialize
    public void Initialize()
    {
      // Always use the shared model (so we share the context object)
      container.RegisterType<IGameModel, GameModel>(new ContainerControlledLifetimeManager());
    }

  }
}
