﻿using Microsoft.Practices.Composite.Logging;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;

namespace ServerLogger
{
  public class ServerLoggerModule : IModule
  {
    IUnityContainer theContainer;

    public ServerLoggerModule(IUnityContainer container)
    {
      theContainer = container;
    }

    public void Initialize()
    {
      theContainer.RegisterType<ILoggerFacade, ServerBasedLogger>(new ContainerControlledLifetimeManager());
    }
  }
}
