﻿Imports System
Imports System.Collections.Generic
Imports GameEditor.Common

Namespace EventArgs

  Public Class LoadEntityCompleteEventArgs(Of T)
    Inherits ErrorEventArgs

    Public Sub New(ByVal results As IEnumerable(Of T))
      Me.Results = results
    End Sub

    Public Sub New(ByVal ex As Exception)
      MyBase.New(ex)
    End Sub

    Private privateResults As IEnumerable(Of T)

    Public Property Results() As IEnumerable(Of T)
      Get
        Return privateResults
      End Get
      Private Set(ByVal value As IEnumerable(Of T))
        privateResults = value
      End Set
    End Property

  End Class

End Namespace