﻿Imports Microsoft.Practices.Composite.Modularity
Imports Microsoft.Practices.Unity

Public Class GameEditorDataModule
  Implements IModule
  Private container As IUnityContainer = Nothing

  Public Sub New(ByVal container As IUnityContainer)
    Me.container = container
  End Sub

  ' IModule.Initialize
  Public Sub Initialize() Implements IModule.Initialize
    ' Always use the shared model (so we share the context object)
    container.RegisterType(Of IGameModel, GameModel)(New ContainerControlledLifetimeManager())
  End Sub

End Class
