Imports Microsoft.VisualBasic
Imports System
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Ink
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports System.Windows.Data
Imports System.Globalization

Namespace Converters
  Public Class VisibilityConverter
    Implements IValueConverter

    Public Function Convert(ByVal value As Object, ByVal targetType As Type, _
                            ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) _
                            As Object Implements IValueConverter.Convert
      If targetType Is GetType(Visibility) AndAlso value.GetType() Is GetType(Boolean) Then
        Return If((CBool(value)), Visibility.Visible, Visibility.Collapsed)
      End If

      ' No Conversion
      Return value
    End Function

    Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, _
                                ByVal parameter As Object, ByVal culture As CultureInfo) _
                                As Object Implements IValueConverter.ConvertBack
      ' No support for converting back
      Return value
    End Function

  End Class
End Namespace
