﻿Imports System.Windows
Imports GameEditor.Client.Data
Imports Microsoft.Practices.Composite.Modularity
Imports Microsoft.Practices.Composite.UnityExtensions
Imports Microsoft.Practices.Unity

Public Class MyBootstrapper
  Inherits UnityBootstrapper
  Protected Overrides Sub ConfigureContainer()
    MyBase.ConfigureContainer()
    Me.Container.RegisterType(Of IGameModel, MockGameModel)(New ContainerControlledLifetimeManager())
  End Sub

  Protected Overrides Function CreateShell() As DependencyObject
    Dim theShell As New Shell()
    App.Current.RootVisual = theShell
    Return theShell
  End Function

  Protected Overrides Function GetModuleCatalog() As IModuleCatalog
    Dim details = New ModuleInfo("DetailModule", "GameEditor.GameDetails.GameDetailsModule, GameEditor.GameDetails, Version=1.0.0.0")
    details.Ref = "GameEditor.GameDetails.xap"

    Dim catalog = New ModuleCatalog().AddModule(details)
    Return catalog
  End Function
End Class
