﻿Imports Microsoft.Practices.Composite.Logging
Imports Microsoft.Practices.Composite.Modularity
Imports Microsoft.Practices.Unity

Public Class ServerLoggerModule
  Implements IModule
  Private theContainer As IUnityContainer

  Public Sub New(ByVal container As IUnityContainer)
    theContainer = container
  End Sub

  Public Sub Initialize() Implements IModule.Initialize
    theContainer.RegisterType(Of ILoggerFacade, ServerBasedLogger)(New ContainerControlledLifetimeManager())
  End Sub
End Class
