﻿using System.Collections.ObjectModel;
using GameEditor.Client.Data.DataServices;
using GameEditor.Common.Interfaces;

namespace GameEditor.GameDetails.ViewModels
{
  public interface IGameDetailsViewModel : IViewModel
  {
    Game CurrentGame { get; }
    ObservableCollection<Genre> Genres { get; }
    ObservableCollection<Rating> Ratings { get; }
    void Save();
  }
}
