﻿Imports Microsoft.Practices.Composite.Logging
Imports Microsoft.Practices.Composite.Modularity
Imports Microsoft.Practices.Unity

Public Class DebugLoggerModule
  Implements IModule

  Private theContainer As IUnityContainer

  Public Sub New(ByVal container As IUnityContainer)
    theContainer = container
  End Sub

  Public Sub Initialize() Implements IModule.Initialize
    ' Load the same instance for all users
    theContainer.RegisterType(Of ILoggerFacade, DebugLogger)(New ContainerControlledLifetimeManager())
  End Sub
End Class
