﻿Imports System
Imports GameEditor.Client.Data.DataServices
Imports GameEditor.Client.Data.EventArgs
Imports GameEditor.Common
Imports GameEditor.Common.Interfaces

Public Interface IGameModel
  Inherits IModel

  Sub LoadGamesAsync()
  Sub LoadGamesByGenreAsync(ByVal genre As String)
  Event LoadGamesComplete As EventHandler(Of LoadEntityCompleteEventArgs(Of Game))

  Sub LoadGenresAsync()
  Event LoadGenresComplete As EventHandler(Of LoadEntityCompleteEventArgs(Of Genre))

  Sub LoadRatingsAsync()
  Event LoadRatingsComplete As EventHandler(Of LoadEntityCompleteEventArgs(Of Rating))

  Sub SaveAsync()
  Event SaveComplete As EventHandler(Of ErrorEventArgs)

End Interface
