﻿Partial Public Class App
  Inherits Application

  Public Sub New()
    AddHandler Me.Startup, AddressOf Application_Startup
    AddHandler Me.Exit, AddressOf Application_Exit
    AddHandler Me.UnhandledException, AddressOf Application_UnhandledException

    InitializeComponent()
  End Sub

  Private Sub Application_Startup(ByVal sender As Object, ByVal e As StartupEventArgs)
    CType(New Bootstrapper(), Bootstrapper).Run()
  End Sub

  Private Sub Application_Exit(ByVal sender As Object, ByVal e As EventArgs)

  End Sub
  Private Sub Application_UnhandledException(ByVal sender As Object, ByVal e As ApplicationUnhandledExceptionEventArgs)
    e.Handled = True
    MessageBox.Show(e.ExceptionObject.ToString(), "Error Occurred", MessageBoxButton.OK)
  End Sub

End Class